#!/usr/bin/python
from __future__ import unicode_literals

import os
import json
import zipfile
import sys

if len(sys.argv) < 2:
    print("Reads all .zip files in current directory.")
    print("USAGE: script.py VERSION\n\nExample ./script.py 0.17\n\n")
    sys.exit(1)

files = []

for fname in os.listdir("."):
    if not fname.endswith(".zip"):
        continue
    files.append(fname)

dicts = []

for f in files:
    dicts.append(json.loads(zipfile.ZipFile(f).read("metadata.json")))

all_metadata = open("all_metadata.json", "wb")

for d in dicts:
    d['zip_size'] = os.path.getsize(d['code']+'.zip')
    d['software_version'] = sys.argv[1]
    if 'code' in d and d['code'] == 'en':
        d['percent_translated'] = 100.0
        d['topic_tree_translated'] = 100.0

all_metadata.write(json.dumps(dicts, indent=2).encode("utf-8"))

